Jelenlegi hely

A filesystem-2013.01-1 és glibc-2.17-2 csomagokat egyszerre frissítsd!

Mivel a /lib szimlink átkerül a glibc csomagból a jóval megfelelőbb filesystem csomagba, a glibc-2.12-2 és filesystem-2013.01-1 csomagokat egyszerre kell frissíteni. Ez automatikusan megtörténik, amikor a "pacman -Syu" parancsot használod. Ne felejtsd el, hogy a részleges frissítések nem támogatottak, és soha ne használd a --force kapcsolót...

Egy potenciális hibaforrás lehet x86_64-en, hogy frissítéskor fájlütközés jelentkezik a /usr/lib64-ben. Minden olyan Arch Linux csomagot frissítettünk, mely használta ezt a könyvtárt, így probléma esetén ezeket külön frissítsd először. Ugyanez a teendő az érintett AUR csomagokkal is, a /usr/lib-et kell használni.

Allan McRae, 2013-01-26

hírek címkéi: 

Hozzászólások

Nem sikerült a frissítés :(
Csak a fent említett két csomag frissítése hiányzik, minden mást frissítettem, még az AUR-ból is, de még mindig elszáll a dolog a /usr/lib64-es ütközések miatt.
ls /usr/lib64:
cups
libmfp.so
libmfp.so.1
libmfp.so.1.0.1
libstdc++.so.5
libstdc++.so.5.0.7
libtiff.so.3
libtiff.so.3.6.1
sane

Mi a teendő?

én most telepítettem egy új x64-es rendszert, de nincs /usr/lib64-em
csak

ls -lak lib*
lrwxrwxrwx 1 root root 7 dec 26 11.23 lib -> usr/lib
lrwxrwxrwx 1 root root 7 dec 26 11.23 lib64 -> usr/lib

s itten vannak az említett fájlok újabb verziói

tehát egy külső (live) indítás kell amivel átpakolod (symlink, stb) mappát.
(bár én megemlítem, hogy a korábbi /lib -> /usr/lib átmódosítás kívülről nekem akkor sem sikerült)

soma-sk8

Akkor lehet én is újrahúzom, nincs kedvem evvel mókolni...

szemrevaló tapasztalatom az, hogy az új és tiszta rendszer gyorsabb mint az öszvér
egyelőre 2 asztali gépel csináltam meg
most jön a lapos
mivel a home külön partició így elég az etc-t elmenteni, csak emlékezni kell a telepített progikra 8)

soma-sk8

Emlékezni? Minek, pacman -Qqe > csamaglista utána ha kész az alaprendszer telepítése akkor pacman -S --needed $(cat csomaglista).

Ps: Nem írtam, de gondoltam, hogy egyértelmű, hogy a csomaglistát ki kell menteni valahová.

Ps2: Ha nem szeretnéd, hogy a csomaglistádban benne legyenek az aur-os csomagok akkor így add ki a parancsot:

pacman -Qqe | grep -v "$(pacman -Qmq)" > csomaglista

Nálam egy éve van a laposon ez a rendszer, azóta volt ugye az init -> systemd átállás is, de inkább gyorsabb lett, semmi lassulást nem tapasztaltam :)

na a laposon is ráfrissítettem és előjött a hiba
ezt egy init 3-al fűszerezett, fájlmásolással megoldottam (/usr/lib64 > /usr/lib)

majd csak ezt a 2 csomagot telepítettem
a siker után felnyomtam az egész -Syu-t

van még 1-2 zavaró momentum, de érezhetően felgyorsult a bejelentkezés

majd rászánom magam egy tiszta instalra, de egyelőre más - nem jobb - dolgom van

soma-sk8

Megnéztem 'pacman -Qo'-val a /usr/lib64 tartalmát, és egyik fájl sem tartozott csomaghoz. Így a komplett mappát töröltem, ez után már sikerült frissítenem.